#!/bin/sh
set -eu

cp -a tests "$AUTOPKGTEST_TMP"
cd "$AUTOPKGTEST_TMP"

export LC_ALL=C.UTF-8

for py3vers in $(py3versions -s); do
    echo
    echo "***************************"
    echo "*** Testing with ${py3vers}"
    echo "***************************"
    echo
    cd ${AUTOPKGTEST_TMP} && \
        echo "Content of current working folder:\n" && \
        ls -la && \
        echo "Running tests by calling: 'PYTHONPATH=. DJANGO_SETTINGS_MODULE=tests.settings /usr/bin/${py3vers} /usr/bin/django-admin test -v2 tests 2>&1'\n" && \
        PYTHONPATH=. DJANGO_SETTINGS_MODULE=tests.settings /usr/bin/${py3vers} /usr/bin/django-admin test -v2 tests 2>&1
done
